Anonymous Login
2019-04-18 03:23 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001402v3.1 ReleaseProject Designerpublic2014-01-25 00:27
Reporteropto 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.1 
Summary0001402: moving tasks with projectdesigner looses parent/child relationship
Descriptionadmittedly, on 3 RC, but pretty recent. Wii give more info once we have moved to current master
Klaus
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003076

opto (manager)

on today's git, this is even worse:

moving a parent looses the children for both (!) projects.

I would expect the children to be moved as well, otherwise, how to connect them to the old project? (Maybe to the moved parent's parent?)

nice might be: if the parent is collapsed, move parent and children to new project.
if parent is uncollapsed: move only checked task?

But tasks should never be totally lost to the system.

~0003077

opto (manager)

the parent child relationships are still lost in current git if a parent/children set of tasks is checked and moved

~0003083

opto (manager)

actually, there is a specific method in class CTask for this, I will try whether that works

~0003084

opto (manager)

id 1413 function might be a Workaround, although it has a bug as well.

But at least it would not lead to total loss of Tasks.

~0003098

caseydk (administrator)

Resolved for the v3.1 release.
Patch available here: https://github.com/web2project/web2project/pull/239

~0003192

caseydk (administrator)

Closed for v3.1 Release which occurred 20 January 2014.
+Notes

-Issue History
Date Modified Username Field Change
2013-11-26 03:32 opto New Issue
2013-11-26 10:28 opto Note Added: 0003076
2013-11-26 10:31 opto Note Added: 0003077
2013-11-26 13:22 opto Note Added: 0003083
2013-11-27 00:02 opto Note Added: 0003084
2013-11-27 21:17 caseydk Project v3.0 Release => v3.2 Release
2013-11-27 21:19 caseydk Project v3.2 Release => v3.1 Release
2013-11-28 18:49 caseydk Note Added: 0003098
2013-11-28 18:49 caseydk Status new => resolved
2013-11-28 18:49 caseydk Resolution open => fixed
2013-11-28 18:49 caseydk Assigned To => caseydk
2014-01-21 17:41 caseydk Note Added: 0003192
2014-01-21 17:41 caseydk Status resolved => closed
2014-01-21 17:49 caseydk Fixed in Version => 3.1
2014-01-25 00:27 caseydk Category General => Project Designer
+Issue History